components/accounts/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls import url
from django.urls import reverse
from .views import UserCreationView, activate, EditUserProfileView, ChangePasswordPage, PasswordChangeView, PasswordResetView, SetNewPasswordView, LoginView, resend_email_verification_link, PasswordResetCompleteView
from django.contrib.auth import views as auth_views
from django.contrib.auth.decorators import login_required
from .forms import ForgotPasswordForm, SetNewPasswordForm, ChangePasswordForm, LoginForm
from django.views.generic.base import TemplateView

app_name= 'account'

urlpatterns = [
    path('registration/', UserCreationView.as_view(), name='sign-up'),
    path('confirm-email/<uidb64>/<token>/<secret_token>', activate, name='activate'),
    path('login/', LoginView.as_view(redirect_authenticated_user=True,), name="sign-in"),
    path('logout/', auth_views.LogoutView.as_view(next_page='account:sign-in'), name="logout"),
    path('profile/edit', login_required(EditUserProfileView.as_view()), name="profile"),
	path('password/change', login_required(PasswordChangeView.as_view(template_name="change-password.html", form_class=ChangePasswordForm), login_url='account:sign-in'), name='change-password'),
	path('password/change/done/', login_required(auth_views.PasswordChangeDoneView.as_view(template_name="change-password-done.html")), name='change-password-done'),
    path('password/reset/', PasswordResetView.as_view(template_name='password-reset.html', form_class=ForgotPasswordForm, email_template_name='password-reset-email.html'), name="forgot-password"),
    path('password/reset/email/done',auth_views.PasswordResetDoneView.as_view(template_name="password-reset-email-done-message.html"), name="password_reset_done"),
    path('password/reset/confirm/<uidb64>/<token>',SetNewPasswordView.as_view(template_name="set-new-password.html", form_class=SetNewPasswordForm), name='password_reset_confirm'),
    path('password/reset/complete/', PasswordResetCompleteView.as_view(template_name="password-reset-complete.html"), name="password_reset_complete"),
    path('request/status', TemplateView.as_view(template_name="message-handler.html"), name="message_handler"),
    path('resend/confirm-email/<username>', resend_email_verification_link , name='resend_confirm_email'),
]

try:
    from .views import LostTwoFactorAuthDevice
    urlpatterns.append(path('lost-device/', LostTwoFactorAuthDevice.as_view(), name="lost_device"))
except:
    pass

components/base/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic.base import TemplateView

app_name= 'base'

urlpatterns = [
    path('', TemplateView.as_view(template_name="home.html"), name='base_page'),
]

components/components/urls.py
from django.contrib import admin
from django.urls import path, include
from django.contrib.staticfiles.urls import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from . import settings

handler404 = 'base.views.handler404'

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('base.urls')),
    path('accounts/', include('accounts.urls')),
    path('predict/', include('image_process.urls')),
    path('', include('portfolio.urls')),
    path('', include('contact_us.urls')),
    path('', include('two_factor_authentication.urls'))
]

#urlpatterns += staticfiles_urlpatterns()
#urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

components/contact_us/urls.py
from django.urls import path
from .views import ContactUsView
from django.contrib import admin

app_name = "contact_us"

urlpatterns = [
				path('contact-us/',ContactUsView.as_view(), name="contact_us")
]

components/image_process/urls.py
from django.contrib import admin
from django.urls import path, include
from image_process import views
from django.views.generic.base import TemplateView

app_name= 'image_process'

urlpatterns = [
    path('human-face-age-gender/', views.UploadPhotoView.as_view(), name='predict_face'),
]

components/portfolio/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic.base import TemplateView

app_name= 'portfolio'

urlpatterns = [
    path('ajith', TemplateView.as_view(template_name="index.html"), name='portfolio_index'),
]

components/base/models.py
from django.db import models

# Create your models here.

components/base/views.py
from django.shortcuts import render

def handler404(request, exception):
    return render(request,'404-page.html', status=404)

components/base/templates/404-page.html
{% extends 'base.html' %}

{% block meta_tags %}
  <title>Page Not found - Components</title>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="error-template text-center">
                <h2><span style="font-size:120px">4</span><span style="font-size:100px"><i><b>O</b></i></span><span style="font-size:120px">4</span></h2>
                <h3><strong>OOPS! PAGE NOT BE FOUND</strong></h3>
                <p>
                   <i>Sorry but the page you are looking for does not exist, have been removed. name changed or is temporarily unavailable</i>
                </p>
                <div style="margin-top:15px;margin-bottom:15px;" class="error-actions">
                    <a href="{% url 'account:sign-in' %}" class="btn btn-primary btn-lg">
                    <span class="glyphicon glyphicon-home"></span>
                        Take Me Home </a>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

components/base/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {% block meta_tags %}{% endblock%}
        <meta name="robots" content="index,nofollow">
        <link rel="canonical" href="{{ request.build_absolute_uri }}">
        <!-- Favicon -->
        <link rel="apple-touch-icon" sizes="180x180" href="{% static 'base/images/favicon/apple-touch-icon.png' %}" />
        <link rel="icon" type="image/png" sizes="32x32" href="{% static 'base/images/favicon/favicon-32x32.png' %}" />
        <link rel="icon" type="image/png" sizes="16x16" href="{% static 'base/images/favicon/favicon-16x16.png' %}" />
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'base/css/styles.css' %}"/>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    </head>
    <body class="white-bg">
        {% include 'navbar.html' %}
        <div class="container-fluid render-body-contetn pb-3">
            {% block content %}{% endblock %}
        </div>
        {% include 'footer.html' %}
    </body>
</html>

components/base/templates/footer.html
<!-- Footer -->
<footer class="page-footer font-small mdb-color pt-4">

  <!-- Footer Links -->
  <div class="container text-center text-md-left">

    <!-- Footer links -->
    <div class="row text-center text-md-left mt-3 pb-3">

      <!-- Grid column -->
      <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">GoLearner.CO.IN</h6>
        <p>Here you can learn new technologies and skills. it helpes you to grow in your career.</p>
      </div>
      <!-- Grid column -->

      <hr class="w-100 clearfix d-md-none">

      <!-- Grid column -->
      <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Products</h6>
        <p>
          <a href="{% url 'image_process:predict_face' %}">Predict Human Face</a>
        </p>
      </div>
      <!-- Grid column -->

      <hr class="w-100 clearfix d-md-none">

      <!-- Grid column -->
      <div class="col-md-3 col-lg-2 col-xl-2 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Useful links</h6>
        {% if user.is_authenticated %}
        <p>
          <a href="{% url 'account:profile' %}">Account</a>
        </p>
        {% else %}
        <p>
          <a href="{% url 'account:sign-in' %}">Login</a>
        </p>
        <p>
          <a href="{% url 'account:sign-up' %}">Register</a>
        </p>
        {% endif %}
        <p>
          <a href="#!">Become an Affiliate</a>
        </p>
        <p>
          <a href="{% url 'contact_us:contact_us' %}">Contact Us</a>
        </p>
        <p>
          <a href="#!">Help</a>
        </p>
      </div>

      <!-- Grid column -->
      <hr class="w-100 clearfix d-md-none">

      <!-- Grid column -->
      <div class="col-md-4 col-lg-3 col-xl-3 mx-auto mt-3">
        <h6 class="text-uppercase mb-4 font-weight-bold">Contact</h6>
        <p>
          <i class="fa fa-home mr-3"></i> Chennai</p>
        <p>
          <i class="fa fa-envelope mr-3"></i> support@golearner.co.in</p>
        <p>
          <i class="fa fa-phone mr-3"></i> + 91 9964116553</p>
      </div>
      <!-- Grid column -->

    </div>
    <!-- Footer links -->

    <hr>

    <!-- Grid row -->
    <div class="row d-flex align-items-center">

      <!-- Grid column -->
      <div class="col-md-7 col-lg-8">

        <!--Copyright-->
        <p class="text-center text-md-left">© 2020 Copyright:
          <a href="https://mdbootstrap.com/">
            <strong> Golearner.co.in</strong>
          </a>
        </p>

      </div>
      <!-- Grid column -->

      <!-- Grid column -->
      <div class="col-md-5 col-lg-4 ml-lg-0">

        <!-- Social buttons -->
        <div class="text-center text-md-right">
          <ul class="list-unstyled list-inline">
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fa fa-facebook-f"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fa fa-twitter"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fa fa-linkedin"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a class="btn-floating btn-sm rgba-white-slight mx-1">
                <i class="fa fa-instagram"></i>
              </a>
            </li>
          </ul>
        </div>

      </div>
      <!-- Grid column -->

    </div>
    <!-- Grid row -->

  </div>
  <!-- Footer Links -->

</footer>
<!-- Footer -->

components/base/templates/home.html
{% extends 'base.html' %}
{% block meta_tags %}<title>Home - GoLearner</title>
        <meta name="description" content="GoLearner home page.">{% endblock %}
{% block content %}
	<h1>Home Page</h1>
{% endblock %}

components/base/templates/navbar.html
{% load static %}
{% block navbar %}
<div class="ap-fixednav">
	<nav class="navbar navbar-expand-lg navbar-expand-md navbar-expand-sm navbar-expand-xs sub-header-nav nav-dark bg-dark">
	    <ul class="navbar-nav ml-auto">
			{% if not user.is_authenticated %}
				<li class="nav-item">
					<a class="nav-link text-white" href="{% url 'account:sign-in' %}"><i class="fa fa-sign-in"></i> Login</a>
				</li>
			{% endif %}
			<li class="nav-item">
				<a class="nav-link text-white" href="{% url 'contact_us:contact_us' %}">Contact Us</a>
			</li>
		</ul>
	</nav>
	<nav class="ap-header navbar navbar-expand-lg navbar-expand-md nav-strict navbar-light bg-lignt ap-nav nav-btn">
	  <a class="navbar-brand" href="/">GoLearner</a>
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>
	  <div class="collapse navbar-collapse" id="navbarSupportedContent">
	    <ul class="navbar-nav ml-auto">
			<li class="nav-item active">
				<a class="nav-link" href="{% url 'portfolio:portfolio_index' %}">Home <span class="sr-only">(current)</span></a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'image_process:predict_face' %}">Predict Human Face</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% static 'base/sitemap.xml' %}">Sitemap</a>
			</li>
			{% if user.is_authenticated %}
				<li class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-user"></i> {{ user.username}}</a>
					<div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
					  <a class="dropdown-item" href="{% url 'account:profile' %}">Profile</a>
					  <a class="dropdown-item" href="{% url 'account:change-password'%}"><i class="fa fa-lock"></i> Change Password</a>
					  <a class="dropdown-item" href="{% url 'two_factor_authentication:profile_account'%}"><i class="fa fa-cogs"></i> Settings</a>
					  <div class="dropdown-divider"></div>
					  <a class="dropdown-item" href="{% url 'account:logout' %}"><i class="fa fa-sign-out"></i> Logout</a>
					</div>
				</li>
			{% endif %}
	    </ul>
	    <!--<form class="form-inline my-2 my-lg-0">
	      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
	      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
	    </form>
		-->
	  </div>
	</nav>
</div>
{% endblock %}